Debian Bug report logs - #598793
sas controller resets causes drives to fail under mdadm

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Quintin <quintin@quintin.co.nz>

Date: Fri, 1 Oct 2010 22:51:01 UTC

Severity: important

Tags: patch, pending

Merged with 594690

Found in versions 2.6.26-24lenny1, 2.6.32-18

Fixed in versions 2.6.32-22, linux-2.6/2.6.26-26

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Fri, 01 Oct 2010 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quintin <quintin@quintin.co.nz>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Oct 2010 22:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Quintin <quintin@quintin.co.nz>
To: submit@bugs.debian.org
Subject: sas controller resets causes drives to fail under mdadm
Date: Sat, 02 Oct 2010 11:45:41 +1300
Package: linux-image-2.6.26-2-xen-amd64
Version: 2.6.26-24lenny1
Severity: important

The mpt SAS controller seems to misinterpret messages from the SATA
drives connected to the SAS controller - causing mdadm to remove them
from the array. The net result during this event is the array goes
read-only or worse corrupts data.

This issue has occurred on this version of equipment when running
S.M.A.R.T. - which may be related?

This has occurred on a 32bit system of same / similar configuration also.

lspci:

# lspci
00:00.0 Host bridge: Intel Corporation QuickPath Architecture I/O Hub to
ESI Port (rev 13)
00:01.0 PCI bridge: Intel Corporation QuickPath Architecture I/O Hub PCI
Express Root Port 1 (rev 13)
00:02.0 PCI bridge: Intel Corporation QuickPath Architecture I/O Hub PCI
Express Root Port 2 (rev 13)
00:03.0 PCI bridge: Intel Corporation QuickPath Architecture I/O Hub PCI
Express Root Port 3 (rev 13)
00:07.0 PCI bridge: Intel Corporation QuickPath Architecture I/O Hub PCI
Express Root Port 7 (rev 13)
00:09.0 PCI bridge: Intel Corporation QuickPath Architecture I/O Hub PCI
Express Root Port 9 (rev 13)
00:14.0 PIC: Intel Corporation QuickPath Architecture I/O Hub System
Management Registers (rev 13)
00:14.1 PIC: Intel Corporation QuickPath Architecture I/O Hub GPIO and
Scratch Pad Registers (rev 13)
00:14.2 PIC: Intel Corporation QuickPath Architecture I/O Hub Control
Status and RAS Registers (rev 13)
00:14.3 PIC: Intel Corporation QuickPath Architecture I/O Hub Throttle
Registers (rev 13)
00:16.0 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.1 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.2 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.3 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.4 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.5 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.6 System peripheral: Intel Corporation DMA Engine (rev 13)
00:16.7 System peripheral: Intel Corporation DMA Engine (rev 13)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB
UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB
UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB
UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2
EHCI Controller #2
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB
UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB
UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB
UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2
EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface
Controller
00:1f.2 IDE interface: Intel Corporation 82801JI (ICH10 Family) 4 port
SATA IDE Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
00:1f.5 IDE interface: Intel Corporation 82801JI (ICH10 Family) 2 port
SATA IDE Controller
01:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
02:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
05:00.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068E
PCI-Express Fusion-MPT SAS (rev 08)
06:04.0 VGA compatible controller: Matrox Graphics, Inc. MGA G200eW
WPCM450 [Hermon] - Winbond/Nuvoton (rev 0a)

lsmod shows the following:

lsmod
Module                  Size  Used by
xt_physdev              6928  52
ebt_arp                 6784  28
ebt_ip                  6528  28
xt_multiport            7424  1
ebt_log                 7940  25
ebtable_filter          6656  1
ebtables               22400  4 ebt_arp,ebt_ip,ebt_log,ebtable_filter
bridge                 53800  0
netloop                 9088  0
ipv6                  289352  32
ipt_REJECT              7552  1
xt_tcpudp               7680  38
iptable_filter          7424  1
ip_tables              21392  1 iptable_filter
x_tables               25096  5
xt_physdev,xt_multiport,ipt_REJECT,xt_tcpudp,ip_tables
loop                   19724  0
serio_raw               9988  0
i2c_i801               13468  0
pcspkr                  7040  0
psmouse                42396  0
i2c_core               27936  1 i2c_i801
button                 11680  0
joydev                 15232  0
evdev                  14592  0
ext3                  125456  3
jbd                    54696  1 ext3
mbcache                13188  1 ext3
dm_mirror              21120  0
dm_log                 14212  1 dm_mirror
dm_snapshot            19400  2
dm_mod                 59248  145 dm_mirror,dm_log,dm_snapshot
raid10                 24192  2
raid1                  24832  1
md_mod                 81700  5 raid10,raid1
ide_pci_generic         9220  0 [permanent]
ide_core              129308  1 ide_pci_generic
ata_piix               22916  0
sd_mod                 29376  32
usb_storage            96320  1
usbhid                 46048  0
hid                    41920  1 usbhid
ff_memless              9352  1 usbhid
floppy                 61480  0
ata_generic            10116  0
libata                165728  2 ata_piix,ata_generic
mptsas                 30096  22
mptscsih               29568  1 mptsas
dock                   14240  1 libata
mptbase                62052  2 mptsas,mptscsih
ehci_hcd               36620  0
uhci_hcd               26272  0
scsi_transport_sas     37632  1 mptsas
scsi_mod              161528  6
sd_mod,usb_storage,libata,mptsas,mptscsih,scsi_transport_sas
e1000e                105000  0
thermal                22688  0
processor              42436  1 thermal
fan                     9352  0
thermal_sys            17728  3 thermal,processor,fan

dmesg / syslog shows the following:

Oct  2 07:17:01 server /USR/SBIN/CRON[28271]: (root) CMD (   cd / &&
run-parts --report /etc/cron.hourly)
Oct  2 07:17:25 server kernel: [3206336.453134] mptscsih: ioc0:
attempting task abort! (sc=ffff88001e5bd0c0)
Oct  2 07:17:25 server kernel: [3206336.453172] sd 1:0:3:0: [sde] CDB:
Synchronize Cache(10): 35 00 00 00 00 00 00 00 00 00
Oct  2 07:17:29 server kernel: [3206340.786961] mptbase: ioc0:
LogInfo(0x31140000): Originator={PL}, Code={IO Executed}, SubCode(0x0000)
Oct  2 07:17:29 server kernel: [3206340.787422] mptsas: ioc0: removing
sata device, channel 0, id 3, phy 3
Oct  2 07:17:29 server kernel: [3206340.787459]  port-1:3: mptsas: ioc0:
delete port (3)
Oct  2 07:17:29 server kernel: [3206340.787614] sd 1:0:3:0: [sde]
Synchronizing SCSI cache
Oct  2 07:17:29 server kernel: [3206340.813724] mptscsih: ioc0: task
abort: SUCCESS (sc=ffff88001e5bd0c0)
Oct  2 07:17:29 server kernel: [3206340.813771] mptscsih: ioc0:
attempting target reset! (sc=ffff88001e5bd0c0)
Oct  2 07:17:29 server kernel: [3206340.813809] sd 1:0:3:0: [sde] CDB:
Synchronize Cache(10): 35 00 00 00 00 00 00 00 00 00
Oct  2 07:17:29 server kernel: [3206341.069665] mptscsih: ioc0: target
reset: SUCCESS (sc=ffff88001e5bd0c0)
Oct  2 07:17:29 server kernel: [3206341.069716] mptscsih: ioc0:
attempting bus reset! (sc=ffff88001e5bd0c0)
Oct  2 07:17:29 server kernel: [3206341.069753] sd 1:0:3:0: [sde] CDB:
Synchronize Cache(10): 35 00 00 00 00 00 00 00 00 00
Oct  2 07:17:30 server kernel: [3206341.581610] mptscsih: ioc0: bus
reset: SUCCESS (sc=ffff88001e5bd0c0)
Oct  2 07:17:40 server kernel: [3206351.585781] mptscsih: ioc0:
attempting host reset! (sc=ffff88001e5bd0c0)
Oct  2 07:17:40 server kernel: [3206351.585825] mptbase: ioc0:
Initiating recovery
Oct  2 07:18:01 server kernel: [3206372.904068] mptscsih: ioc0: host
reset: SUCCESS (sc=ffff88001e5bd0c0)
Oct  2 07:18:01 server kernel: [3206372.904109] sd 1:0:3:0: Device
offlined - not ready after error recovery
Oct  2 07:18:01 server kernel: [3206372.904146] end_request: I/O error,
dev sde, sector 976767931
Oct  2 07:18:01 server kernel: [3206372.904180] md: super_written gets
error=-5, uptodate=0
Oct  2 07:18:01 server kernel: [3206372.904212] raid10: Disk failure on
sde6, disabling device.
Oct  2 07:18:01 server kernel: [3206372.904213] raid10: Operation
continuing on 7 devices.
Oct  2 07:18:01 server kernel: [3206372.904333] end_request: I/O error,
dev sde, sector 20000703
Oct  2 07:18:01 server kernel: [3206372.904367] md: super_written gets
error=-5, uptodate=0
Oct  2 07:18:01 server kernel: [3206372.904399] raid1: Disk failure on
sde1, disabling device.
Oct  2 07:18:01 server kernel: [3206372.904400] raid1: Operation
continuing on 7 devices.
Oct  2 07:18:01 server kernel: [3206372.904480] raid10: sde5:
rescheduling sector 136
Oct  2 07:18:01 server kernel: [3206372.904652] sd 1:0:3:0: [sde]
Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 07:18:01 server kernel: [3206373.235235] end_request: I/O error,
dev sdg, sector 976767931
Oct  2 07:18:01 server kernel: [3206373.235235] md: super_written gets
error=-5, uptodate=0
Oct  2 07:18:01 server kernel: [3206373.235235] raid10: Disk failure on
sdg6, disabling device.
Oct  2 07:18:01 server kernel: [3206373.235235] raid10: Operation
continuing on 6 devices.
Oct  2 07:18:01 server kernel: [3206373.242357] end_request: I/O error,
dev sdf, sector 976767931
Oct  2 07:18:01 server kernel: [3206373.242357] md: super_written gets
error=-5, uptodate=0
Oct  2 07:18:01 server kernel: [3206373.242357] raid10: Disk failure on
sdf6, disabling device.
Oct  2 07:18:01 server kernel: [3206373.242357] raid10: Operation
continuing on 5 devices.
Oct  2 07:18:01 server kernel: [3206373.247008] end_request: I/O error,
dev sdb, sector 976767931
Oct  2 07:18:01 server kernel: [3206373.247040] md: super_written gets
error=-5, uptodate=0
Oct  2 07:18:01 server kernel: [3206373.247069] raid10: Disk failure on
sdb6, disabling device.
Oct  2 07:18:01 server kernel: [3206373.247070] raid10: Operation
continuing on 4 devices.
Oct  2 07:18:01 server kernel: [3206373.298088] raid10: Disk failure on
sde5, disabling device.
Oct  2 07:18:01 server kernel: [3206373.298090] raid10: Operation
continuing on 7 devices.
Oct  2 07:18:01 server kernel: [3206373.298155] raid10: sdd5:
redirecting sector 136 to another mirror
Oct  2 07:18:01 server kernel: [3206373.330494] RAID1 conf printout:
Oct  2 07:18:01 server kernel: [3206373.330524]  --- wd:7 rd:8
Oct  2 07:18:01 server kernel: [3206373.330560]  disk 0, wo:0, o:1, dev:sdb1
Oct  2 07:18:01 server kernel: [3206373.330587]  disk 1, wo:0, o:1, dev:sdc1
Oct  2 07:18:01 server kernel: [3206373.330613]  disk 2, wo:0, o:1, dev:sdd1
Oct  2 07:18:01 server kernel: [3206373.330640]  disk 3, wo:1, o:0, dev:sde1
Oct  2 07:18:01 server kernel: [3206373.330666]  disk 4, wo:0, o:1, dev:sdf1
Oct  2 07:18:01 server kernel: [3206373.330693]  disk 5, wo:0, o:1, dev:sdg1
Oct  2 07:18:01 server kernel: [3206373.330719]  disk 6, wo:0, o:1, dev:sdh1
Oct  2 07:18:01 server kernel: [3206373.330745]  disk 7, wo:0, o:1, dev:sdi1
Oct  2 07:18:01 server kernel: [3206373.337150] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.337150]  --- wd:7 rd:8
Oct  2 07:18:01 server kernel: [3206373.337150]  disk 0, wo:0, o:1, dev:sdb5
Oct  2 07:18:01 server kernel: [3206373.337150]  disk 1, wo:0, o:1, dev:sdc5
Oct  2 07:18:01 server kernel: [3206373.337150]  disk 2, wo:0, o:1, dev:sdd5
Oct  2 07:18:01 server kernel: [3206373.337150]  disk 3, wo:1, o:0, dev:sde5
Oct  2 07:18:01 server kernel: [3206373.337150]  disk 4, wo:0, o:1, dev:sdf5
Oct  2 07:18:01 server kernel: [3206373.337150]  disk 5, wo:0, o:1, dev:sdg5
Oct  2 07:18:01 server kernel: [3206373.337201]  disk 6, wo:0, o:1, dev:sdh5
Oct  2 07:18:01 server kernel: [3206373.337228]  disk 7, wo:0, o:1, dev:sdi5
Oct  2 07:18:01 server kernel: [3206373.341177] RAID1 conf printout:
Oct  2 07:18:01 server kernel: [3206373.341204]  --- wd:7 rd:8
Oct  2 07:18:01 server kernel: [3206373.341228]  disk 0, wo:0, o:1, dev:sdb1
Oct  2 07:18:01 server kernel: [3206373.341258]  disk 1, wo:0, o:1, dev:sdc1
Oct  2 07:18:01 server kernel: [3206373.341285]  disk 2, wo:0, o:1, dev:sdd1
Oct  2 07:18:01 server kernel: [3206373.341311]  disk 4, wo:0, o:1, dev:sdf1
Oct  2 07:18:01 server kernel: [3206373.341338]  disk 5, wo:0, o:1, dev:sdg1
Oct  2 07:18:01 server kernel: [3206373.341364]  disk 6, wo:0, o:1, dev:sdh1
Oct  2 07:18:01 server kernel: [3206373.341390]  disk 7, wo:0, o:1, dev:sdi1
Oct  2 07:18:01 server kernel: [3206373.347812] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.347840]  --- wd:7 rd:8
Oct  2 07:18:01 server kernel: [3206373.347864]  disk 0, wo:0, o:1, dev:sdb5
Oct  2 07:18:01 server kernel: [3206373.347890]  disk 1, wo:0, o:1, dev:sdc5
Oct  2 07:18:01 server kernel: [3206373.347916]  disk 2, wo:0, o:1, dev:sdd5
Oct  2 07:18:01 server kernel: [3206373.347943]  disk 4, wo:0, o:1, dev:sdf5
Oct  2 07:18:01 server kernel: [3206373.347969]  disk 5, wo:0, o:1, dev:sdg5
Oct  2 07:18:01 server kernel: [3206373.347995]  disk 6, wo:0, o:1, dev:sdh5
Oct  2 07:18:01 server kernel: [3206373.348022]  disk 7, wo:0, o:1, dev:sdi5
Oct  2 07:18:01 server kernel: [3206373.376309] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.376340]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.376364]  disk 0, wo:1, o:0, dev:sdb6
Oct  2 07:18:01 server kernel: [3206373.376391]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.376418]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.376445]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.376488]  disk 4, wo:1, o:0, dev:sdf6
Oct  2 07:18:01 server kernel: [3206373.376514]  disk 5, wo:1, o:0, dev:sdg6
Oct  2 07:18:01 server kernel: [3206373.376541]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.376567]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.384377] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.384408]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.384434]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.384462]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.384490]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.384517]  disk 4, wo:1, o:0, dev:sdf6
Oct  2 07:18:01 server kernel: [3206373.384543]  disk 5, wo:1, o:0, dev:sdg6
Oct  2 07:18:01 server kernel: [3206373.384569]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.384596]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.384628] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.384652]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.384676]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.384703]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.384729]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.384755]  disk 4, wo:1, o:0, dev:sdf6
Oct  2 07:18:01 server kernel: [3206373.384781]  disk 5, wo:1, o:0, dev:sdg6
Oct  2 07:18:01 server kernel: [3206373.384807]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.384833]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.396419] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.396449]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.396474]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.396501]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.396527]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.396554]  disk 4, wo:1, o:0, dev:sdf6
Oct  2 07:18:01 server kernel: [3206373.396580]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.396606]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.396637] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.396662]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.396686]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.396712]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.396738]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.396765]  disk 4, wo:1, o:0, dev:sdf6
Oct  2 07:18:01 server kernel: [3206373.396791]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.396817]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.413245] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.413275]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.413300]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.413327]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.413353]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.413380]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.413406]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.413438] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.413463]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.413487]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.413513]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.413540]  disk 3, wo:1, o:0, dev:sde6
Oct  2 07:18:01 server kernel: [3206373.413566]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.413592]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:01 server kernel: [3206373.423601] RAID10 conf printout:
Oct  2 07:18:01 server kernel: [3206373.423643]  --- wd:4 rd:8
Oct  2 07:18:01 server kernel: [3206373.423678]  disk 1, wo:0, o:1, dev:sdc6
Oct  2 07:18:01 server kernel: [3206373.423711]  disk 2, wo:0, o:1, dev:sdd6
Oct  2 07:18:01 server kernel: [3206373.423738]  disk 6, wo:0, o:1, dev:sdh6
Oct  2 07:18:01 server kernel: [3206373.423774]  disk 7, wo:0, o:1, dev:sdi6
Oct  2 07:18:36 server kernel: [3206408.587825] mptsas: ioc0: attaching
sata device, channel 0, id 3, phy 3
Oct  2 07:18:36 server kernel: [3206408.593909] scsi 1:0:8:0:
Direct-Access     ATA      WDC WD5000BEKT-6 1A01 PQ: 0 ANSI: 5
Oct  2 07:18:36 server kernel: [3206408.595094] sd 1:0:8:0: [sdj]
976773168 512-byte hardware sectors (500108 MB)
Oct  2 07:18:36 server kernel: [3206408.601903] sd 1:0:8:0: [sdj] Write
Protect is off
Oct  2 07:18:36 server kernel: [3206408.601936] sd 1:0:8:0: [sdj] Mode
Sense: 73 00 00 08
Oct  2 07:18:36 server kernel: [3206408.607187] sd 1:0:8:0: [sdj] Write
cache: enabled, read cache: enabled, doesn't support DPO or FUA
Oct  2 07:18:36 server kernel: [3206408.607874] sd 1:0:8:0: [sdj]
976773168 512-byte hardware sectors (500108 MB)
Oct  2 07:18:36 server kernel: [3206408.614891] sd 1:0:8:0: [sdj] Write
Protect is off
Oct  2 07:18:36 server kernel: [3206408.614924] sd 1:0:8:0: [sdj] Mode
Sense: 73 00 00 08
Oct  2 07:18:36 server kernel: [3206408.620194] sd 1:0:8:0: [sdj] Write
cache: enabled, read cache: enabled, doesn't support DPO or FUA
Oct  2 07:18:36 server kernel: [3206408.620252]  sdj: sdj1 sdj2 < sdj5
sdj6 >
Oct  2 07:18:36 server kernel: [3206408.958347] sd 1:0:8:0: [sdj]
Attached SCSI disk

Packages installed:

# dpkg -l
Desired=Unknown/Install/Remove/Purge/Hold
|
Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
uppercase=bad)
||/ Name                                                 
Version                                               Description
+++-=====================================================-=====================================================-==========================================================================================================================
ii  acpi                                                 
1.1-2                                                 displays
information on ACPI devices
ii  acpi-support-base                                    
0.109-11                                              scripts for
handling base ACPI events such as the power button
ii  acpid                                                
1.0.8-1lenny2                                         Utilities for
using ACPI power management
ii  adduser                                              
3.110                                                 add and remove
users and groups
ii  apt                                                  
0.7.20.2+lenny2                                       Advanced front-end
for dpkg
ii  apt-utils                                            
0.7.20.2+lenny2                                       APT utility programs
ii  aptitude                                             
0.4.11.11-1~lenny1                                    terminal-based
package manager
ii  base-files                                           
5lenny6                                               Debian base system
miscellaneous files
ii  base-passwd                                          
3.5.20                                                Debian base system
master password and group files
ii  bash                                                 
3.2-4                                                 The GNU Bourne
Again SHell
ii  binutils                                             
2.18.1~cvs20080103-7                                  The GNU assembler,
linker and binary utilities
ii  bridge-utils                                         
1.4-5                                                 Utilities for
configuring the Linux Ethernet bridge
ii  bsd-mailx                                            
8.1.2-0.20071201cvs-3                                 A simple mail user
agent
ii  bsdmainutils                                         
6.1.10                                                collection of more
utilities from FreeBSD
ii  bsdutils                                             
1:2.13.1.1-1                                          Basic utilities
from 4.4BSD-Lite
ii  busybox                                              
1:1.10.2-2                                            Tiny utilities for
small and embedded systems
ii  bzip2                                                
1.0.5-1                                               high-quality
block-sorting file compressor - utilities
ii  ca-certificates                                      
20080809                                              Common CA certificates
ii  console-common                                       
0.7.80                                                basic
infrastructure for text console configuration
ii  console-data                                         
2:1.07-11                                             keymaps, fonts,
charset maps, fallback tables for console-tools
ii  console-tools                                        
1:0.2.3dbs-65.1                                       Linux console and
font utilities
ii  coreutils                                            
6.10-6                                                The GNU core utilities
ii  cpio                                                 
2.9-13lenny1                                          GNU cpio -- a
program to manage archives of files
ii  cron                                                 
3.0pl1-105                                            management of
regular background processing
ii  debconf                                              
1.5.24                                                Debian
configuration management system
ii  debconf-i18n                                         
1.5.24                                                full
internationalization support for debconf
ii  debian-archive-keyring                               
2009.01.31                                            GnuPG archive keys
of the Debian archive
ii  debian-backports-keyring                             
2009.02.20                                            GnuPG archive key
of the backports.org repository
ii  debianutils                                          
2.30                                                  Miscellaneous
utilities specific to Debian
ii  debootstrap                                          
1.0.10lenny1                                          Bootstrap a basic
Debian system
ii  dhcp3-client                                         
3.1.1-6+lenny4                                        DHCP client
ii  dhcp3-common                                         
3.1.1-6+lenny4                                        common files used
by all the dhcp3* packages
ii  diff                                                 
2.8.1-12                                              File comparison
utilities
ii  dmidecode                                            
2.9-1                                                 Dump Desktop
Management Interface data
ii  dmsetup                                              
2:1.02.27-4                                           The Linux Kernel
Device Mapper userspace library
ii  dpkg                                                 
1.14.29                                               Debian package
management system
ii  e2fslibs                                             
1.41.3-1                                              ext2 filesystem
libraries
ii  e2fsprogs                                            
1.41.3-1                                              ext2/ext3/ext4
file system utilities
ii  ebtables                                             
2.0.8.2-4                                             Ethernet bridge
frame table administration
ii  ed                                                   
0.7-3                                                 The classic unix
line editor
ii  exim4                                                
4.69-9                                                metapackage to
ease Exim MTA (v4) installation
ii  exim4-base                                           
4.69-9                                                support files for
all Exim MTA (v4) packages
ii  exim4-config                                         
4.69-9                                                configuration for
the Exim MTA (v4)
ii  exim4-daemon-light                                   
4.69-9                                                lightweight Exim
MTA (v4) daemon
ii  fail2ban                                             
0.8.3-2sid1                                           bans IPs that
cause multiple authentication errors
ii  file                                                 
4.26-1                                                Determines file
type using "magic" numbers
ii  findutils                                            
4.4.0-2                                               utilities for
finding files--find, xargs
ii  firmware-linux-free                                  
2.6.32-11~bpo50+1                                     Binary firmware
for various drivers in the Linux kernel
ii  gcc-4.2-base                                         
4.2.4-6                                               The GNU Compiler
Collection (base package)
ii  gcc-4.3-base                                         
4.3.2-1.1                                             The GNU Compiler
Collection (base package)
ii  gnupg                                                
1.4.9-3+lenny1                                        GNU privacy guard
- a free PGP replacement
ii  gpgv                                                 
1.4.9-3+lenny1                                        GNU privacy guard
- signature verification tool
ii  grep                                                 
2.5.3~dfsg-6                                          GNU grep, egrep
and fgrep
ii  groff-base                                           
1.18.1.1-21                                           GNU troff
text-formatting system (base system components)
ii  grub                                                 
0.97-47lenny2                                         GRand Unified
Bootloader (Legacy version)
ii  grub-common                                          
1.96+20080724-16                                      GRand Unified
Bootloader, version 2 (common files)
ii  gzip                                                 
1.3.12-6+lenny1                                       The GNU
compression utility
ii  hostname                                             
2.95                                                  utility to
set/show the host name or domain name
ii  ifupdown                                             
0.6.8+nmu1                                            high level tools
to configure network interfaces
ii  info                                                 
4.11.dfsg.1-4                                         Standalone GNU
Info documentation browser
ii  initramfs-tools                                      
0.92o                                                 tools for
generating an initramfs
ii  initscripts                                          
2.86.ds1-61                                           Scripts for
initializing and shutting down the system
ii  installation-report                                  
2.38                                                  system
installation report
ii  iproute                                              
20080725-2                                            networking and
traffic control tools
ii  iptables                                             
1.4.2-6                                               administration
tools for packet filtering and NAT
ii  iputils-ping                                         
3:20071127-1                                          Tools to test the
reachability of network hosts
ii  klibc-utils                                          
1.5.12-2                                              small utilities
built with klibc for early boot
ii  laptop-detect                                        
0.13.6                                                attempt to detect
a laptop
ii  less                                                 
418-1                                                 Pager program
similar to more
ii  libacl1                                              
2.2.47-2                                              Access control
list shared library
ii  libapt-pkg-perl                                      
0.1.22+b1                                             Perl interface to
libapt-pkg
ii  libasound2                                           
1.0.16-2                                              ALSA library
ii  libattr1                                             
1:2.4.43-2                                            Extended attribute
shared library
ii  libbeecrypt6                                         
4.1.2-7                                               open source C
library of cryptographic algorithms
ii  libblkid1                                            
1.41.3-1                                              block device id
library
ii  libbz2-1.0                                           
1.0.5-1                                               high-quality
block-sorting file compressor library - runtime
ii  libc6                                                
2.7-18lenny4                                          GNU C Library:
Shared libraries
ii  libcap1                                              
1:1.10-14                                             support for
getting/setting POSIX.1e capabilities
ii  libcomerr2                                           
1.41.3-1                                              common error
description library
ii  libcompress-raw-zlib-perl                            
2.012-1lenny1                                         low-level
interface to zlib compression library
ii  libcompress-zlib-perl                                
2.012-1                                               Perl module for
creation and manipulation of gzip files
ii  libconfig-inifiles-perl                              
2.39-5                                                Read .ini-style
configuration files
ii  libconsole                                           
1:0.2.3dbs-65.1                                       Shared libraries
for Linux console and font manipulation
ii  libcurl3                                             
7.18.2-8lenny4                                        Multi-protocol
file transfer library (OpenSSL)
ii  libcwidget3                                          
0.5.12-4                                              high-level
terminal interface library for C++ (runtime files)
ii  libdb4.5                                             
4.5.20-13                                             Berkeley v4.5
Database Libraries [runtime]
ii  libdb4.6                                             
4.6.21-11                                             Berkeley v4.6
Database Libraries [runtime]
ii  libdevmapper1.02.1                                   
2:1.02.27-4                                           The Linux Kernel
Device Mapper userspace library
ii  libdirectfb-1.0-0                                    
1.0.1-11                                              direct frame
buffer graphics - shared libraries
ii  libedit2                                             
2.11~20080614-1                                       BSD editline and
history libraries
ii  libept0                                              
0.5.22                                                High-level library
for managing Debian package information
ii  libexpect-perl                                       
1.20-1                                                Expect.pm - Perl
Expect interface
ii  libfont-afm-perl                                     
1.20-1                                                Font::AFM -
Interface to Adobe Font Metrics files
ii  libgcc1                                              
1:4.3.2-1.1                                           GCC support library
ii  libgcrypt11                                          
1.4.1-1                                               LGPL Crypto
library - runtime library
ii  libgdbm3                                             
1.8.3-3                                               GNU dbm database
routines (runtime version)
ii  libgnutls26                                          
2.4.2-6+lenny2                                        the GNU TLS
library - runtime library
ii  libgpg-error0                                        
1.4-2                                                 library for common
error values and messages in GnuPG components
ii  libgpm2                                              
1.20.4-3.1                                            General Purpose
Mouse - shared library
ii  libhtml-format-perl                                  
2.04-2                                                format HTML syntax
trees into text, PostScript or RTF
ii  libhtml-parser-perl                                  
3.56-1+lenny1                                         A collection of
modules that parse HTML text documents
ii  libhtml-tagset-perl                                  
3.20-2                                                Data tables
pertaining to HTML
ii  libhtml-tree-perl                                    
3.23-1                                                represent and
create HTML syntax trees
ii  libidn11                                             
1.8+20080606-1                                        GNU libidn
library, implementation of IETF IDN specifications
ii  libio-compress-base-perl                             
2.012-1                                               Base Class for
IO::Compress modules
ii  libio-compress-zlib-perl                             
2.012-1                                               Perl interface to zlib
ii  libio-pty-perl                                       
1:1.07-1+b1                                           Perl module for
pseudo tty IO
ii  libio-stty-perl                                      
0.02-10                                               Interface to
secure pseudo ttys
ii  libkeyutils1                                         
1.2-9                                                 Linux Key
Management Utilities (library)
ii  libklibc                                             
1.5.12-2                                              minimal libc
subset for use with initramfs
ii  libkrb53                                             
1.6.dfsg.4~beta1-5lenny4                              MIT Kerberos
runtime libraries
ii  libldap-2.4-2                                        
2.4.11-1+lenny2                                       OpenLDAP libraries
ii  liblocale-gettext-perl                               
1.05-4                                                Using libc
functions for internationalization in Perl
ii  liblockfile1                                         
1.08-3                                                NFS-safe locking
library, includes dotlockfile program
ii  libmagic1                                            
4.26-1                                                File type
determination library using "magic" numbers
ii  libmailtools-perl                                    
2.03-1                                                Manipulate email
in perl programs
ii  libncurses5                                          
5.7+20081213-1                                        shared libraries
for terminal handling
ii  libncursesw5                                         
5.7+20081213-1                                        shared libraries
for terminal handling (wide character support)
ii  libneon27                                            
0.28.2-6.1                                            An HTTP and WebDAV
client library
ii  libnewt0.52                                          
0.52.2-11.3+lenny1                                    Not Erik's
Windowing Toolkit - text mode windowing with slang
ii  libpam-modules                                       
1.0.1-5+lenny1                                        Pluggable
Authentication Modules for PAM
ii  libpam-runtime                                       
1.0.1-5+lenny1                                        Runtime support
for the PAM library
ii  libpam0g                                             
1.0.1-5+lenny1                                        Pluggable
Authentication Modules library
ii  libpcap0.8                                           
0.9.8-5                                               system interface
for user-level packet capture
ii  libpci3                                              
1:3.0.0-6                                             Linux PCI
Utilities (shared library)
ii  libpcre3                                             
7.6-2.1                                               Perl 5 Compatible
Regular Expression Library - runtime files
ii  libpopt0                                             
1.14-4                                                lib for parsing
cmdline parameters
ii  libreadline5                                         
5.2-3.1                                               GNU readline and
history libraries, run-time libraries
ii  librpm4.4                                            
4.4.2.3-1                                             RPM shared library
ii  libsasl2-2                                           
2.1.22.dfsg1-23+lenny1                                Cyrus SASL -
authentication abstraction library
ii  libsdl1.2debian                                      
1.2.13-2                                              Simple DirectMedia
Layer
ii  libsdl1.2debian-alsa                                 
1.2.13-2                                              Simple DirectMedia
Layer (with X11 and ALSA options)
ii  libselinux1                                          
2.0.65-5                                              SELinux shared
libraries
ii  libsepol1                                            
2.0.30-2                                              Security Enhanced
Linux policy library for changing policy binaries
ii  libsigc++-2.0-0c2a                                   
2.0.18-2                                              type-safe Signal
Framework for C++ - runtime
ii  libslang2                                            
2.1.3-3                                               The S-Lang
programming library - runtime version
ii  libsqlite0                                           
2.8.17-4                                              SQLite shared library
ii  libsqlite3-0                                         
3.5.9-6                                               SQLite 3 shared
library
ii  libss2                                               
1.41.3-1                                              command-line
interface parsing library
ii  libssh2-1                                            
0.18-1                                                SSH2 client-side
library
ii  libssl0.9.8                                          
0.9.8g-15+lenny7                                      SSL shared libraries
ii  libstdc++6                                           
4.3.2-1.1                                             The GNU Standard
C++ Library v3
ii  libsvga1                                             
1:1.4.3-27                                            console SVGA
display libraries
ii  libsysfs2                                            
2.1.0-5                                               interface library
to sysfs
ii  libtasn1-3                                           
1.4-1                                                 Manage ASN.1
structures (runtime)
ii  libterm-readline-gnu-perl                            
1.17a-2+b1                                            Perl extension for
the GNU Readline/History Library
ii  libterm-size-perl                                    
0.2-4+b1                                              Perl extension for
retrieving terminal size
ii  libtext-charwidth-perl                               
0.04-5+b1                                             get display widths
of characters on the terminal
ii  libtext-iconv-perl                                   
1.7-1+b1                                              converts between
character sets in Perl
ii  libtext-template-perl                                
1.44-1.2                                              Text::Template
perl module
ii  libtext-wrapi18n-perl                                
0.06-6                                                internationalized
substitute of Text::Wrap
ii  libtimedate-perl                                     
1.1600-9                                              Time and date
functions for Perl
ii  libts-0.0-0                                          
1.0-4                                                 touch screen library
ii  liburi-perl                                          
1.35.dfsg.1-1                                         Manipulates and
accesses URI strings
ii  libusb-0.1-4                                         
2:0.1.12-13                                           userspace USB
programming library
ii  libuuid-perl                                         
0.02-3+b1                                             Perl extension for
using UUID interfaces as defined in e2fsprogs
ii  libuuid1                                             
1.41.3-1                                              universally unique
id library
ii  libvolume-id0                                        
0.125-7+lenny3                                        libvolume_id
shared library
ii  libwrap0                                             
7.6.q-16                                              Wietse Venema's
TCP wrappers library
ii  libwww-perl                                          
5.813-1                                               WWW client/server
library for Perl (aka LWP)
ii  libx86-1                                             
1.1+ds1-2                                             x86 real-mode library
ii  libxapian15                                          
1.0.7-4                                               Search engine library
ii  libxenstore3.0                                       
3.2.1-2                                               Xenstore
communications library for Xen
ii  libxml2                                              
2.6.32.dfsg-5+lenny1                                  GNOME XML library
ii  linux-base                                           
2.6.32-11~bpo50+1                                     Linux image base
package
ii  linux-image-2.6-amd64                                
2.6.26+17+lenny1                                      Linux 2.6 image on
AMD64
ii  linux-image-2.6.26-2-amd64                           
2.6.26-24lenny1                                       Linux 2.6.26 image
on AMD64
ii  linux-image-2.6.26-2-xen-amd64                       
2.6.26-24lenny1                                       Linux 2.6.26 image
on AMD64, oldstyle Xen support
ii  linux-image-2.6.32-bpo.4-xen-amd64                   
2.6.32-11~bpo50+1                                     Linux 2.6.32 for
64-bit PCs, Xen dom0 support
ii  linux-modules-2.6.26-2-xen-amd64                     
2.6.26-24lenny1                                       Linux 2.6.26
modules on AMD64
ii  locales                                              
2.7-18lenny4                                          GNU C Library:
National Language (locale) data [support]
ii  lockfile-progs                                       
0.1.11-0.1                                            Programs for
locking and unlocking files and mailboxes
ii  login                                                
1:4.1.1-6+lenny1                                      system login tools
ii  logrotate                                            
3.7.1-5                                               Log rotation utility
ii  logtail                                              
1.2.69                                                Print log file
lines that have not been read (deprecated)
ii  lsb-base                                             
3.2-20                                                Linux Standard
Base 3.2 init script functionality
ii  lshw                                                 
02.13-2                                               information about
hardware configuration
ii  lsof                                                 
4.78.dfsg.1-4                                         List open files
ii  lvm2                                                 
2.02.39-8                                             The Linux Logical
Volume Manager
ii  lzma                                                 
4.43-14                                               Compression method
of 7z format in 7-Zip program
ii  mailx                                                
1:20071201-3                                          Transitional
package for mailx rename
ii  makedev                                              
2.3.1-88                                              creates device
files in /dev
ii  man-db                                               
2.5.2-4                                               on-line manual pager
ii  manpages                                             
3.05-1                                                Manual pages about
using a GNU/Linux system
ii  mawk                                                 
1.3.3-11.1                                            a pattern scanning
and text processing language
ii  mdadm                                                
2.6.7.2-3                                             tool to administer
Linux MD arrays (software RAID)
ii  mime-support                                         
3.44-1                                                MIME files
'mime.types' & 'mailcap', and support programs
ii  mktemp                                               
1.5-9                                                 tool for creating
temporary files
ii  module-init-tools                                    
3.4-1                                                 tools for managing
Linux kernel modules
ii  mount                                                
2.13.1.1-1                                            Tools for mounting
and manipulating filesystems
ii  nano                                                 
2.0.7-5                                               free Pico clone
with some new features
ii  ncurses-base                                         
5.7+20081213-1                                        basic terminal
type definitions
ii  ncurses-bin                                          
5.7+20081213-1                                        terminal-related
programs and man pages
ii  net-tools                                            
1.60-22                                               The NET-3
networking toolkit
ii  netbase                                              
4.34                                                  Basic TCP/IP
networking system
ii  netcat-traditional                                   
1.10-38                                               TCP/IP swiss army
knife
ii  ntp                                                  
1:4.2.4p4+dfsg-8lenny3                                Network Time
Protocol daemon and utility programs
ii  ntpdate                                              
1:4.2.4p4+dfsg-8lenny3                                client for setting
system time from NTP servers
ii  openssh-blacklist                                    
0.4.1                                                 list of default
blacklisted OpenSSH RSA and DSA keys
ii  openssh-client                                       
1:5.1p1-5                                             secure shell
client, an rlogin/rsh/rcp replacement
ii  openssh-server                                       
1:5.1p1-5                                             secure shell
server, an rshd replacement
ii  openssl                                              
0.9.8g-15+lenny7                                      Secure Socket
Layer (SSL) binary and related cryptographic tools
ii  passwd                                               
1:4.1.1-6+lenny1                                      change and
administer password and group data
ii  pciutils                                             
1:3.0.0-6                                             Linux PCI Utilities
ii  perl                                                 
5.10.0-19lenny2                                       Larry Wall's
Practical Extraction and Report Language
ii  perl-base                                            
5.10.0-19lenny2                                       minimal Perl system
ii  perl-doc                                             
5.10.0-19lenny2                                       Perl documentation
ii  perl-modules                                         
5.10.0-19lenny2                                       Core Perl modules
ii  php5-cli                                             
5.2.14-0.dotdeb.0                                     command-line
interpreter for the php5 scripting language
ii  php5-common                                          
5.2.14-0.dotdeb.0                                     Common files for
packages built from the php5 source
ii  php5-curl                                            
5.2.14-0.dotdeb.0                                     CURL module for php5
ii  php5-sqlite                                          
5.2.14-0.dotdeb.0                                     SQLite module for php5
ii  procps                                               
1:3.2.7-11                                            /proc file system
utilities
ii  psmisc                                               
22.6-1                                                Utilities that use
the proc filesystem
ii  python                                               
2.5.2-3                                               An interactive
high-level object-oriented language (default version)
ii  python-central                                       
0.6.8                                                 register and build
utility for Python packages
ii  python-minimal                                       
2.5.2-3                                               A minimal subset
of the Python language (default version)
ii  python2.5                                            
2.5.2-15+lenny1                                       An interactive
high-level object-oriented language (version 2.5)
ii  python2.5-minimal                                    
2.5.2-15+lenny1                                       A minimal subset
of the Python language (version 2.5)
ii  readline-common                                      
5.2-3.1                                               GNU readline and
history libraries, common files
ii  reiserfsprogs                                        
1:3.6.19-6                                            User-level tools
for ReiserFS filesystems
ii  rinse                                                
1.3-2                                                 RPM installation
environment
ii  rpm                                                  
4.4.2.3-1                                             Red Hat package
manager
ii  rsync                                                
3.0.3-2                                               fast remote file
copy program (like rcp)
ii  rsyslog                                              
3.18.6-4                                              enhanced
multi-threaded syslogd
ii  screen                                               
4.0.3-11+lenny1                                       terminal
multiplexor with VT100/ANSI terminal emulation
ii  sed                                                  
4.1.5-6                                               The GNU sed stream
editor
ii  sgml-base                                            
1.26                                                  SGML
infrastructure and SGML catalog file support
ii  smartmontools                                        
5.38-2+lenny1                                         control and
monitor storage systems using S.M.A.R.T.
ii  ssh                                                  
1:5.1p1-5                                             secure shell
client and server (metapackage)
ii  sudo                                                 
1.6.9p17-3                                            Provide limited
super user privileges to specific users
ii  svgalibg1                                            
1:1.4.3-27                                            transitional dummy
package which can be safely removed
ii  sysstat                                              
8.1.2-2                                               sar, iostat and
mpstat - system performance tools for Linux
ii  sysv-rc                                              
2.86.ds1-61                                           System-V-like
runlevel change mechanism
ii  sysvinit                                             
2.86.ds1-61                                           System-V-like init
utilities
ii  sysvinit-utils                                       
2.86.ds1-61                                           System-V-like
utilities
ii  tar                                                  
1.20-1+lenny1                                         GNU version of the
tar archiving utility
ii  tasksel                                              
2.78                                                  Tool for selecting
tasks for installation on Debian systems
ii  tasksel-data                                         
2.78                                                  Official tasks
used for installation of Debian systems
ii  tcpd                                                 
7.6.q-16                                              Wietse Venema's
TCP wrapper utilities
ii  tcpdump                                              
3.9.8-4                                               A powerful tool
for network monitoring and data acquisition
ii  traceroute                                           
2.0.11-2                                              Traces the route
taken by packets over an IPv4/IPv6 network
ii  tzdata                                               
2010j-0lenny1                                         time zone and
daylight-saving time data
ii  ucf                                                  
3.0016                                                Update
Configuration File: preserve user changes to config files.
ii  udev                                                 
0.125-7+lenny3                                        /dev/ and hotplug
management daemon
ii  update-inetd                                         
4.31                                                  inetd
configuration file updater
ii  usbutils                                             
0.73-10lenny2                                         Linux USB utilities
ii  util-linux                                           
2.13.1.1-1                                            Miscellaneous
system utilities
ii  vim                                                  
1:7.1.314-3+lenny2                                    Vi IMproved -
enhanced vi editor
ii  vim-common                                           
1:7.1.314-3+lenny2                                    Vi IMproved -
Common files
ii  vim-runtime                                          
1:7.1.314-3+lenny2                                    Vi IMproved -
Runtime files
ii  vim-tiny                                             
1:7.1.314-3+lenny2                                    Vi IMproved -
enhanced vi editor - compact version
ii  vnstat                                               
1.6-1                                                 console-based
network traffic monitor
ii  wget                                                 
1.11.4-2+lenny2                                       retrieves files
from the web
ii  whiptail                                             
0.52.2-11.3+lenny1                                    Displays
user-friendly dialog boxes from shell scripts
ii  whois                                                
4.7.30                                                an intelligent
whois client
ii  xen-hypervisor-3.2-1-amd64                           
3.2.1-2                                               The Xen Hypervisor
on AMD64
ii  xen-linux-system-2.6.26-2-xen-amd64                  
2.6.26-24lenny1                                       XEN system with
Linux 2.6.26 image on AMD64
ii  xen-shell                                            
1.8-3                                                 Console based Xen
administration utility
ii  xen-utils-3.2-1                                      
3.2.1-2                                               XEN administrative
tools
ii  xen-utils-common                                     
3.2.0-2                                               XEN administrative
tools - common files
ii  xenstore-utils                                       
3.2.1-2                                               Xenstore utilities
for Xen
ii  xfsprogs                                             
2.9.8-1lenny1                                         Utilities for
managing the XFS filesystem
ii  xml-core                                             
0.12                                                  XML infrastructure
and XML catalog file support
ii  zlib1g                                               
1:1.2.3.3.dfsg-12                                     compression
library - runtime

Please let me know if anything further is required.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Fri, 01 Oct 2010 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quintin <quintin@quintin.co.nz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Oct 2010 23:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 598793@bugs.debian.org (full text, mbox):

From: Quintin <quintin@quintin.co.nz>
To: 598793@bugs.debian.org
Subject: Re: Bug#598793: Acknowledgement (sas controller resets causes drives to fail under mdadm)
Date: Sat, 02 Oct 2010 12:08:33 +1300
[Message part 1 (text/plain, inline)]
There seems to be information which looks similar here:
https://bugzilla.kernel.org/show_bug.cgi?id=14831


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Fri, 01 Oct 2010 23:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Oct 2010 23:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 598793@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Quintin <quintin@quintin.co.nz>, 598793@bugs.debian.org
Subject: Re: Bug#598793: Acknowledgement (sas controller resets causes drives to fail under mdadm)
Date: Sat, 02 Oct 2010 00:39:35 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-10-02 at 12:08 +1300, Quintin wrote:
> There seems to be information which looks similar here:
> https://bugzilla.kernel.org/show_bug.cgi?id=14831

And this looks the same as: <http://bugs.debian.org/594690>.

I will have to investigate whether we can apply the fix to 2.6.26.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Fri, 01 Oct 2010 23:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Oct 2010 23:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 598793@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Quintin <quintin@quintin.co.nz>
Cc: 598793@bugs.debian.org
Subject: Re: Bug#598793: Acknowledgement (sas controller resets causes drives to fail under mdadm)
Date: Sat, 02 Oct 2010 00:49:29 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-10-02 at 00:39 +0100, Ben Hutchings wrote:
> On Sat, 2010-10-02 at 12:08 +1300, Quintin wrote:
> > There seems to be information which looks similar here:
> > https://bugzilla.kernel.org/show_bug.cgi?id=14831
> 
> And this looks the same as: <http://bugs.debian.org/594690>.
> 
> I will have to investigate whether we can apply the fix to 2.6.26.

It looks like the same patch will work.  Please can you test this,
following the instructions at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[0001-SCSI-mptsas-fix-hangs-caused-by-ATA-pass-through.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 01 Oct 2010 23:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Sat, 02 Oct 2010 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quintin <quintin@quintin.co.nz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 04:27:04 GMT) Full text and rfc822 format available.

Message #27 received at 598793@bugs.debian.org (full text, mbox):

From: Quintin <quintin@quintin.co.nz>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 598793@bugs.debian.org
Subject: Re: Bug#598793: Acknowledgement (sas controller resets causes drives to fail under mdadm)
Date: Sat, 02 Oct 2010 17:30:10 +1300
On 02/10/10 12:49, Ben Hutchings wrote:
> It looks like the same patch will work.  Please can you test this,
>   

Running the following command reliably causes devices to drop from the
array & generate the same error messages posted:

# while true; do smartctl -a /dev/sdc > /dev/null; done

After applying this patch, these problems have not reoccurred. Will
leave this running overnight & confirm if problem reoccurs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Sat, 02 Oct 2010 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 11:00:03 GMT) Full text and rfc822 format available.

Message #32 received at 598793@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Quintin <quintin@quintin.co.nz>
Cc: 598793@bugs.debian.org
Subject: Re: Bug#598793: sas controller resets causes drives to fail under mdadm
Date: Sat, 02 Oct 2010 12:56:46 +0200
Quintin <quintin@quintin.co.nz> writes:

> Package: linux-image-2.6.26-2-xen-amd64
> Version: 2.6.26-24lenny1
> Severity: important
>
> The mpt SAS controller seems to misinterpret messages from the SATA
> drives connected to the SAS controller - causing mdadm to remove them
> from the array. The net result during this event is the array goes
> read-only or worse corrupts data.
>
> This issue has occurred on this version of equipment when running
> S.M.A.R.T. - which may be related?
[..]
> 05:00.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS (rev 08)


Sure is.  I have seen similar issues with this controller, especially
when running smartctl.

I believe this was fixed in the latest 2.6.32 stable update (2.6.32.23):

commit aaf3b48b50681f779723ea9bb141931739b75c4b
Author: Ryan Kuester <rkuester@kspace.net>
Date:   Mon Apr 26 18:11:54 2010 -0500

    SCSI: mptsas: fix hangs caused by ATA pass-through
    
    commit 2a1b7e575b80ceb19ea50bfa86ce0053ea57181d upstream.
    
    I may have an explanation for the LSI 1068 HBA hangs provoked by ATA
    pass-through commands, in particular by smartctl.
    
    First, my version of the symptoms.  On an LSI SAS1068E B3 HBA running
    01.29.00.00 firmware, with SATA disks, and with smartd running, I'm seeing
    occasional task, bus, and host resets, some of which lead to hard faults of
    the HBA requiring a reboot.  Abusively looping the smartctl command,
    
        # while true; do smartctl -a /dev/sdb > /dev/null; done
    
    dramatically increases the frequency of these failures to nearly one per
    minute.  A high IO load through the HBA while looping smartctl seems to
    improve the chance of a full scsi host reset or a non-recoverable hang.
    
    I reduced what smartctl was doing down to a simple test case which
    causes the hang with a single IO when pointed at the sd interface.  See
    the code at the bottom of this e-mail.  It uses an SG_IO ioctl to issue
    a single pass-through ATA identify device command.  If the buffer
    userspace gives for the read data has certain alignments, the task is
    issued to the HBA but the HBA fails to respond.  If run against the sg
    interface, neither the test code nor smartctl causes a hang.
    
    sd and sg handle the SG_IO ioctl slightly differently.  Unless you
    specifically set a flag to do direct IO, sg passes a buffer of its own,
    which is page-aligned, to the block layer and later copies the result
    into the userspace buffer regardless of its alignment.  sd, on the other
    hand, always does direct IO unless the userspace buffer fails an
    alignment test at block/blk-map.c line 57, in which case a page-aligned
    buffer is created and used for the transfer.
    
    The alignment test currently checks for word-alignment, the default
    setup by scsi_lib.c; therefore, userspace buffers of almost any
    alignment are given directly to the HBA as DMA targets.  The LSI 1068
    hardware doesn't seem to like at least a couple of the alignments which
    cross a page boundary (see the test code below).  Curiously, many
    page-boundary-crossing alignments do work just fine.
    
    So, either the hardware has an bug handling certain alignments or the
    hardware has a stricter alignment requirement than the driver is
    advertising.  If stricter alignment is required, then in no case should
    misaligned buffers from userspace be allowed through without being
    bounced or at least causing an error to be returned.
    
    It seems the mptsas driver could use blk_queue_dma_alignment() to advertise
    a stricter alignment requirement.  If it does, sd does the right thing and
    bounces misaligned buffers (see block/blk-map.c line 57).  The following
    patch to 2.6.34-rc5 makes my symptoms go away.  I'm sure this is the wrong
    place for this code, but it gets my idea across.
    
    Acked-by: Kashyap Desai <Kashyap.Desai@lsi.com>
    Signed-off-by: James Bottomley <James.Bottomley@suse.de>
    Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>



which was included in Debian linux-image-2.6.32-5-amd64 version
2.6.32-24.  You should check whether the issue is still present with
that version.

Given the age and stability of this driver, I believe it's reasonable to
guess that the issue was present in all 2.6.26 versions, and I guess it
won't be backported unless you do it yourself.



Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Sat, 02 Oct 2010 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quintin <quintin@quintin.co.nz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 21:21:05 GMT) Full text and rfc822 format available.

Message #37 received at 598793@bugs.debian.org (full text, mbox):

From: Quintin <quintin@quintin.co.nz>
To: Bjørn Mork <bjorn@mork.no>
Cc: 598793@bugs.debian.org
Subject: Re: Bug#598793: sas controller resets causes drives to fail under mdadm
Date: Sun, 03 Oct 2010 10:24:27 +1300
This patch has been running: while true; do smartctl -a /dev/sdb >
/dev/null; done  overnight without fault, under ordinary conditions I
can reproduce within seconds.

On 02/10/10 23:56, Bjørn Mork wrote:
> which was included in Debian linux-image-2.6.32-5-amd64 version
> 2.6.32-24.  You should check whether the issue is still present with
> that version.
>   

Will do, and will let you know.

> Given the age and stability of this driver, I believe it's reasonable to
> guess that the issue was present in all 2.6.26 versions, and I guess it
> won't be backported unless you do it yourself.
>   

I think you are correct that it has been around for all 2.6.26 versions.
I have been running this controller + kernel in the same config in the
lab for 4 months & put this controller into production 2 months ago.
During our testing period I only encountered the problem once when
completely by chance ran smartctl. I quickly learnt to avoid doing that
& it has only now reoccurred by itself in production.

I am more than happy to backport & maintain this patch out of band. It
is my impression however that the bug is not easily reproducible unless
you're running smartctl and the risk to users when it does occur can be
as severe as data loss.

Thank you for your help so far & please let me know if further testing
is required as I am happy to perform this.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598793; Package linux-image-2.6.26-2-xen-amd64. (Sun, 03 Oct 2010 19:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 19:15:09 GMT) Full text and rfc822 format available.

Message #42 received at 598793@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Quintin <quintin@quintin.co.nz>, 598793@bugs.debian.org
Subject: Re: Bug#598793: sas controller resets causes drives to fail under mdadm
Date: Sun, 03 Oct 2010 20:12:36 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-03 at 10:24 +1300, Quintin wrote:
> This patch has been running: while true; do smartctl -a /dev/sdb >
> /dev/null; done  overnight without fault, under ordinary conditions I
> can reproduce within seconds.
[...]
> I am more than happy to backport & maintain this patch out of band. It
> is my impression however that the bug is not easily reproducible unless
> you're running smartctl and the risk to users when it does occur can be
> as severe as data loss.
> 
> Thank you for your help so far & please let me know if further testing
> is required as I am happy to perform this.

No, I'm happy to include the patch in our next stable update.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-image-2.6.26-2-xen-amd64' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 19:30:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-24lenny1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 19:30:10 GMT) Full text and rfc822 format available.

Forcibly Merged 594690 598793. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 19:30:12 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 19:30:13 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.32-22. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 19:30:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-18. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 20:03:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.26-24lenny1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 20:03:10 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 03 Oct 2010 20:24:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 00:39:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:46:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:22:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.